#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xdf749a93, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x5148bc7e, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x3554323a, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x7b18ac01, "");
SYMBOL_CRC(mpt_halt_firmware, 0xfd34bd79, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x88fd1e54, "");
SYMBOL_CRC(mpt_attach, 0x0f6607b1, "");
SYMBOL_CRC(mpt_detach, 0xd1666957, "");
SYMBOL_CRC(mpt_resume, 0x8d62d1f0, "");
SYMBOL_CRC(mpt_suspend, 0xcf433e01, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x20cb3e84, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xcdc82542, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x7ec26bb2, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x117050dd, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x03b1ed19, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x65b60cea, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x962f7d95, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x6e01b1d5, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xbd1611e6, "");
SYMBOL_CRC(mpt_verify_adapter, 0xce12de31, "");
SYMBOL_CRC(mpt_GetIocState, 0x73f6859d, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x5658b106, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xdae00a2a, "");
SYMBOL_CRC(mpt_config, 0xc850f884, "");
SYMBOL_CRC(mpt_findImVolumes, 0x04125f3f, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x4f269070, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x6568d66f, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x1562e914, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x3abde707, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c9ed8c1, "seq_printf" },
	{ 0x804087c5, "pci_stop_and_remove_bus_device_locked" },
	{ 0x923073af, "dma_alloc_attrs" },
	{ 0xcd2b1c2d, "dma_free_attrs" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5dcc82a2, "pci_select_bars" },
	{ 0xee45b02d, "pci_enable_device_mem" },
	{ 0xbd2f6aeb, "pci_request_selected_regions" },
	{ 0xd1172930, "dma_get_required_mask" },
	{ 0x4335cbee, "dma_set_mask" },
	{ 0xf9f8e7f1, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x721e1e35, "pci_release_selected_regions" },
	{ 0x4ac19128, "pci_disable_device" },
	{ 0xd9fda3cd, "remove_proc_entry" },
	{ 0x62eec1d5, "panic" },
	{ 0x730df2fd, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0x650ceb27, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb4b9fa83, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x94acc329, "pci_disable_msi" },
	{ 0x3bde0b49, "pci_save_state" },
	{ 0x6281c6e3, "pci_set_power_state" },
	{ 0xda8461d5, "proc_mkdir" },
	{ 0x97dca335, "proc_create_single_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x037a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcab68df9, "pci_read_config_word" },
	{ 0xe6833080, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x8f210d93, "pci_enable_device" },
	{ 0x6be3b908, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xba9bd9f3, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb8928077, "kthread_create_on_node" },
	{ 0x4d222fcd, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x334537fc, "pci_read_config_byte" },
	{ 0xf681f11b, "pci_write_config_byte" },
	{ 0x36663ecc, "pci_get_slot" },
	{ 0x46abb6d8, "pci_dev_put" },
	{ 0x06b817f4, "pci_enable_wake" },
	{ 0x1cc2f310, "pci_restore_state" },
	{ 0x779c4aee, "param_ops_int" },
	{ 0x4dac73dc, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
