#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xccf69851, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0xc7cd75f4, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xd6046e41, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xe52b931b, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x1b92ffdb, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x8456ba31, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x4dc3772c, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x3f4bb8ed, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xe39a6f5c, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x60275c0d, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x26d31d83, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x1a2fccbf, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xd183a8c7, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xa04a897e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76381bcd, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x302a1cc2, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9118bf54, "skb_pull" },
	{ 0x34e8aa5e, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x66f39afc, "ath9k_hw_set_txpowerlimit" },
	{ 0x096adb5f, "ath_hw_keyreset" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "341DE581582D71599DA2018");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
