#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x7c689441, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xd2a0f6ba, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x26db7ee6, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x47af267a, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xdb6ca7a3, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x053a1056, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xa7972475, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xc9a8329d, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x6b0506be, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x291fe420, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x3b206665, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x840d26d4, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x37d639ab, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x9147c698, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xa7dae13f, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0xcdf5b88e, "");
SYMBOL_CRC(rtw89_pm_ops, 0xea80ea84, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0xdf9c675d, "");
SYMBOL_CRC(rtw89_pci_probe, 0x5169515e, "");
SYMBOL_CRC(rtw89_pci_remove, 0x19dac71d, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x8d5f8b32, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x0bbfe24c, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x22b6b518, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c4cb939, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd2b1c2d, "dma_free_attrs" },
	{ 0x23a8db94, "rtw89_core_rx" },
	{ 0x2d7a869c, "param_ops_bool" },
	{ 0xef5f05d1, "pci_release_regions" },
	{ 0x2a2ae13f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x433b339b, "rtw89_core_deinit" },
	{ 0xf681f11b, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x4ac19128, "pci_disable_device" },
	{ 0x4335cbee, "dma_set_mask" },
	{ 0x59b0ed44, "napi_schedule_prep" },
	{ 0x334537fc, "pci_read_config_byte" },
	{ 0x93f6541c, "dev_kfree_skb_any_reason" },
	{ 0xdbe7f953, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe142e1d4, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xea1813c2, "rtw89_chip_info_setup" },
	{ 0x10db1dcf, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4a37a7be, "pcie_capability_read_word" },
	{ 0x949abb8f, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x41556b2c, "rtw89_alloc_ieee80211_hw" },
	{ 0xb5c3858f, "devm_request_threaded_irq" },
	{ 0x8f210d93, "pci_enable_device" },
	{ 0xa02ad4c1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5ce75daa, "consume_skb" },
	{ 0x01d264b4, "pci_iomap" },
	{ 0x6f97edc4, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xa435b905, "skb_dequeue" },
	{ 0x40a43b34, "dma_unmap_page_attrs" },
	{ 0xc64be7bd, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x39c64fb1, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45bc20e5, "rtw89_core_napi_init" },
	{ 0x0b0a7594, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e82b1c6, "dev_driver_string" },
	{ 0x0889ddea, "ieee80211_tx_status_skb" },
	{ 0x63e76686, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x961d9edd, "dma_map_page_attrs" },
	{ 0x3b499c90, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc664a14b, "devm_free_irq" },
	{ 0xefa74209, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf8a29569, "_dev_info" },
	{ 0x93b1d330, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9d39c3b4, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7e06b9a9, "__dma_sync_single_for_cpu" },
	{ 0x9525cd30, "_dev_err" },
	{ 0xcfead3bb, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0f8c1428, "rtw89_core_napi_deinit" },
	{ 0x579425d0, "skb_push" },
	{ 0x923073af, "dma_alloc_attrs" },
	{ 0x990a7c0e, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x835f5508, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x100fdf51, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0x09aced99, "_dev_warn" },
	{ 0xba9bd9f3, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72d0890d, "rtw89_ser_notify" },
	{ 0xc4461162, "__netdev_alloc_skb" },
	{ 0x714f7299, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x101f46a0, "skb_unlink" },
	{ 0xf9f8e7f1, "dma_set_coherent_mask" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "AED30EEEFBF4BABBFB5E812");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
