#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xa98c2679, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x9c2a713c, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x30fb7a4a, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xce3a361f, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x20322b54, "");
SYMBOL_CRC(sas_resume_ha, 0x4bc936f5, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x94fe9e21, "");
SYMBOL_CRC(sas_suspend_ha, 0xdd5159c2, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xdfdfad6b, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x2165b778, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xaacb6011, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x239fcbd3, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xd48a1223, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x1f586baa, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x774b3490, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xabdce5a4, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xdf4ee876, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x2ed3c5a7, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xb94f8f93, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xa13f811b, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x834921ad, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0xb90b47f8, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x594ff665, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x5f00c91a, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x57643839, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x25a23c2d, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0xf2371bec, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x3a29deec, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xfea98220, "_gpl");
SYMBOL_CRC(sas_query_task, 0xc359118f, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x02dd5d4c, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x69823f90, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0xb065f4cd, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x4efd162f, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x8f012489, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x140112eb, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x70317fcf, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x257f0389, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x0be235f2, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x38c4362f, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0xc749e081, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd1e421c9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa52b8317, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xf8a29569, "_dev_info" },
	{ 0xc8b324e5, "sas_phy_free" },
	{ 0x3f910e63, "scsi_eh_finish_cmd" },
	{ 0xbafdcf52, "ata_port_schedule_eh" },
	{ 0x8cd08cb3, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x39cfb83b, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb045b239, "sas_port_mark_backlink" },
	{ 0xed26d37a, "kmem_cache_free" },
	{ 0x053fc578, "ata_link_abort" },
	{ 0xbca118c5, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3e975635, "ata_scsi_port_error_handler" },
	{ 0x468ad110, "ata_change_queue_depth" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x133d1cb6, "ata_port_probe" },
	{ 0x629f9ff8, "ata_std_error_handler" },
	{ 0x34cea94f, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff3f981c, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x7e740df8, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa7d57598, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x09aced99, "_dev_warn" },
	{ 0x3f8a26bb, "sas_rphy_delete" },
	{ 0xff1910d7, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x24f6b5e5, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf841f70d, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd5d49593, "__kmem_cache_create_args" },
	{ 0x9e183855, "scsi_host_busy" },
	{ 0x73961f4d, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcbe37cf2, "ata_sas_port_suspend" },
	{ 0x2b0f8483, "sas_rphy_add" },
	{ 0xa6fdc403, "__pm_runtime_resume" },
	{ 0x69794cc9, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd25e6431, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe05c0cb1, "sas_port_add_phy" },
	{ 0xec232da4, "ata_scsi_cmd_error_handler" },
	{ 0x64ac78ea, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xa21b55e7, "ata_sas_sdev_configure" },
	{ 0x13790c32, "blk_mq_tagset_busy_iter" },
	{ 0x3f1966d2, "scsi_done" },
	{ 0x57bc10ab, "scsi_unblock_requests" },
	{ 0x79cf8dbf, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x36c3fb60, "ata_host_put" },
	{ 0x404d5198, "sas_port_free" },
	{ 0xb547a38a, "ata_std_sched_eh" },
	{ 0x580ccece, "ata_port_alloc" },
	{ 0xc7383411, "scsi_block_requests" },
	{ 0x15d6fa94, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4a7fecc7, "ata_ncq_prio_supported" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0xf320c78c, "sas_remove_children" },
	{ 0xf172433d, "scsi_change_queue_depth" },
	{ 0x8431bb98, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x166909d4, "ata_port_wait_eh" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xaeb9dbed, "kmem_cache_destroy" },
	{ 0xbcb6ee7c, "ata_qc_complete" },
	{ 0x81b4fe68, "ata_sas_scsi_ioctl" },
	{ 0xc4d61056, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd1db8cb3, "sas_rphy_remove" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x67120dc8, "bsg_job_done" },
	{ 0x7277fa37, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xebc2b8af, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x24e7cc98, "scsi_schedule_eh" },
	{ 0x8325694c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x71a5b610, "ata_ncq_prio_enabled" },
	{ 0xd4c5a796, "ata_host_init" },
	{ 0x6e472f72, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0x62f0346c, "scsi_eh_ready_devs" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0xce6c078d, "sas_port_get_phy" },
	{ 0x5e229b0b, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xca650d35, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x079d793f, "ata_wait_after_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf1b21a02, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D980F626497B4DA9B4BB593");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
