#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x264130f5, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0xeb877781, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xdc741a53, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x1c2e5009, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x5e6517ba, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xcf300cdf, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x9ecc61aa, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x9eb67086, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x8489eee0, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x9c2eac55, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xaf4ba947, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x4c1829fc, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0xa98a591b, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x698dd182, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x3a131fb8, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x1fc9d10b, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x99fd0040, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x5987e597, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0xc5d882b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa2d3ebb0, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9c9dd56f, "trace_event_buffer_reserve" },
	{ 0xb4fd3da6, "trace_event_buffer_commit" },
	{ 0x78f729cc, "__trace_trigger_soft_disabled" },
	{ 0x095b5f04, "trace_raw_output_prep" },
	{ 0x27e756dd, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x4e16004f, "bpf_trace_run5" },
	{ 0x0a2a9b5e, "bpf_trace_run4" },
	{ 0x9642e885, "bpf_trace_run3" },
	{ 0xa2474726, "bpf_trace_run6" },
	{ 0xa4c807f0, "dev_set_name" },
	{ 0x836e1d9a, "device_add" },
	{ 0x1d9b469a, "__dynamic_dev_dbg" },
	{ 0x9525cd30, "_dev_err" },
	{ 0x7b05f517, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x319d6dde, "__pm_runtime_set_status" },
	{ 0xfa7e9d46, "pm_runtime_enable" },
	{ 0x1828d901, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4cb27abd, "device_match_of_node" },
	{ 0x532fd01b, "bus_find_device" },
	{ 0x3a4f0a87, "driver_register" },
	{ 0xa4e6ac6f, "bus_unregister" },
	{ 0x96fed597, "bus_register" },
	{ 0x06fca8fb, "device_for_each_child" },
	{ 0x42a52d8a, "device_del" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4c58e9ed, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1e421c9, "put_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0xa6fdc403, "__pm_runtime_resume" },
	{ 0x39c64fb1, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf8e8f502, "trace_event_reg" },
	{ 0x4d1b9dd8, "trace_event_raw_init" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "685E0351E165493F1D75B73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
