#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x503b6e7d, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x0b13eb47, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0xed3d6b89, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0xbe8e7afa, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0xac0c6b97, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0xedd4ac27, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0xa857aab4, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x61238834, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x20684320, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0xb804151c, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0xa498f372, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0xb00d3240, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x91a38d72, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0xf15cb65d, "_gpl");
SYMBOL_CRC(gether_suspend, 0x4c776a2c, "_gpl");
SYMBOL_CRC(gether_resume, 0x89950646, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0xfa3d0da6, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x9dd5f507, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x4741385a, "dev_addr_mod" },
	{ 0x415fee18, "register_netdev" },
	{ 0x1d9b469a, "__dynamic_dev_dbg" },
	{ 0xf8a29569, "_dev_info" },
	{ 0xf42ef04b, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2f4e677, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x119576f2, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9525cd30, "_dev_err" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd094ee92, "alloc_etherdev_mqs" },
	{ 0x09aced99, "_dev_warn" },
	{ 0xe800d166, "usb_func_wakeup" },
	{ 0x7ca1f6b4, "usb_gadget_wakeup" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x93f6541c, "dev_kfree_skb_any_reason" },
	{ 0x5a2a3217, "netif_tx_wake_queue" },
	{ 0xc4461162, "__netdev_alloc_skb" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcc07218a, "netif_carrier_on" },
	{ 0xa02ad4c1, "skb_put" },
	{ 0xa435b905, "skb_dequeue" },
	{ 0x93b1d330, "skb_queue_tail" },
	{ 0x330dcdc3, "eth_type_trans" },
	{ 0xdf8c6a0e, "netif_rx" },
	{ 0xd1829325, "eth_mac_addr" },
	{ 0x7abefa2a, "eth_validate_addr" },
	{ 0xe25c73e1, "ethtool_op_get_link" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "F05D924038C656E4F6E6FBB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
