#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xb984b25a, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x22bfc990, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x5eaa2093, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xa7e80413, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x7e8b6ba3, "_gpl");
SYMBOL_CRC(br_forward, 0x3f20f8e6, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xd344a911, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x43156ffa, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x1772034b, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xef98c18d, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xaf8e8128, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x72c1f77d, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xc393f94e, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x9b85ce55, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x61e890c9, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x88336185, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x65dceabe, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x56421794, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xb1fab655, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x8c954b47, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x7cc396b8, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x9a5996ad, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xf69beb9f, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7692f9ba, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xff137b94, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x131db64a, "system_long_wq" },
	{ 0xf434f385, "kobject_create_and_add" },
	{ 0x62f9a81d, "skb_trim" },
	{ 0x0d2a92ac, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa1d08d9a, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ac3dfaa, "__ip_mc_inc_group" },
	{ 0x2b67c562, "netdev_walk_all_upper_dev_rcu" },
	{ 0x1651823c, "pv_ops" },
	{ 0xd47d40ee, "sysfs_remove_group" },
	{ 0xb0d7e395, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1397b07e, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x06e8cc75, "__netpoll_setup" },
	{ 0x0a488bb9, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10cf0459, "vlan_vid_add" },
	{ 0x3e106bcf, "neigh_destroy" },
	{ 0xe072e8f3, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x2473c45b, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x27c8c876, "__SCK__tp_func_br_fdb_update" },
	{ 0x100bf28f, "call_netdevice_notifiers" },
	{ 0xa2fb8f31, "is_skb_forwardable" },
	{ 0xbd429565, "vlan_vid_del" },
	{ 0x828427c3, "dev_set_allmulti" },
	{ 0xf540ba66, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x22caff9d, "netdev_master_upper_dev_get" },
	{ 0x016cad8d, "ipv6_dev_mc_inc" },
	{ 0xb3a79f77, "rtnl_notify" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf42ef04b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x75836d50, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x361834c0, "skb_clone" },
	{ 0xee1b6b24, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x2c1b0aa8, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x601d068c, "dst_release" },
	{ 0xcc07218a, "netif_carrier_on" },
	{ 0x87e5870a, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x359435dc, "arp_tbl" },
	{ 0xa91fbe2c, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdcb1829a, "netdev_rx_handler_register" },
	{ 0x3ced0f28, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xce18a88b, "netif_set_tso_max_size" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xda735f01, "dev_disable_lro" },
	{ 0x3e0d087a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6e539130, "dev_get_flags" },
	{ 0x5a83706b, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0x93f6541c, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8b78a8a3, "netdev_notice" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x13322449, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x0ee2fb1e, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe1caa8d5, "skb_ext_add" },
	{ 0xf5779b1f, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbb3d136c, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0x4675da70, "neigh_lookup" },
	{ 0xaeb9dbed, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf75a350a, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4b390597, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x690c3006, "netdev_lower_get_next" },
	{ 0x5ce8a573, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x490fde89, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xfa5c92f2, "skb_copy_bits" },
	{ 0xa3578272, "__nlmsg_put" },
	{ 0x3f83809e, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd26aba27, "ipv6_mc_check_mld" },
	{ 0xa02ad4c1, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbd021547, "call_switchdev_notifiers" },
	{ 0x361bfcb2, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x98b47ce4, "netdev_update_features" },
	{ 0x5ce75daa, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd084d496, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x73ac1843, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3e97f066, "netpoll_send_skb" },
	{ 0x6c6cf431, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc730f083, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcf500501, "switchdev_port_obj_act_is_deferred" },
	{ 0xdc9f64db, "dev_get_iflink" },
	{ 0x037a0cba, "kfree" },
	{ 0xa3c7e101, "dev_set_promiscuity" },
	{ 0x39c64fb1, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x99c1da10, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x80ef23b5, "netdev_state_change" },
	{ 0x166d051e, "__pskb_copy_fclone" },
	{ 0x3c03bb37, "__dev_get_by_name" },
	{ 0x5fc972fa, "ether_setup" },
	{ 0x6cf477e3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7af989cc, "pskb_expand_head" },
	{ 0x7b8b65bc, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xb61376d0, "brioctl_set" },
	{ 0x4741385a, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x99701594, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2778fb7, "alloc_netdev_mqs" },
	{ 0x159d8133, "passthru_features_check" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3fc5950e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x138d805e, "__SCK__tp_func_br_mdb_full" },
	{ 0x77897ae3, "rtnl_af_register" },
	{ 0x6d05bd5b, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x772bb8bc, "__alloc_skb" },
	{ 0xa52b8317, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3052437f, "rtnl_set_sk_err" },
	{ 0xfec00a3d, "skb_vlan_pop" },
	{ 0xd5a0476f, "rtnl_unicast" },
	{ 0x7e4afb10, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf1dd4a4c, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x5abd027f, "__ip_mc_dec_group" },
	{ 0x1adc8213, "vlan_dev_real_dev" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9175eb1d, "__dev_get_by_index" },
	{ 0xbeac1199, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf1ef9b7d, "dev_get_port_parent_id" },
	{ 0x72c09528, "init_net" },
	{ 0x3ee8fc4c, "ipv6_stub" },
	{ 0xd3f90ee9, "inet_confirm_addr" },
	{ 0x9118bf54, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd1309293, "sysfs_remove_link" },
	{ 0x676fefbf, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x84981205, "__SCK__tp_func_br_fdb_add" },
	{ 0x40838dd3, "rtnl_af_unregister" },
	{ 0x25ca0eec, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x0405638e, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xce400033, "dev_get_by_index_rcu" },
	{ 0xbdd9aa08, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x579425d0, "skb_push" },
	{ 0xed26d37a, "kmem_cache_free" },
	{ 0xa2a83525, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc2fd1532, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x75101f97, "netdev_upper_dev_unlink" },
	{ 0x7f5f903b, "netif_receive_skb" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xebc6e16d, "llc_mac_hdr_init" },
	{ 0x02928032, "__rtnl_register_many" },
	{ 0x119576f2, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x2ad60873, "__SCK__tp_func_fdb_delete" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4ad7141f, "kobject_init_and_add" },
	{ 0x0d05fb01, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb70f23b0, "ns_capable" },
	{ 0x2d797100, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d9cce80, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe25c73e1, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x895192b8, "arp_create" },
	{ 0xb4c1043f, "__ethtool_get_link_ksettings" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdefe19f2, "stp_proto_register" },
	{ 0x02d70eaa, "__tracepoint_br_fdb_update" },
	{ 0x84bc3938, "sysfs_rename_link_ns" },
	{ 0xebbf2b50, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf841f70d, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xda5ed566, "switchdev_port_obj_add" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7f4d6fbc, "__pskb_pull_tail" },
	{ 0xf934936d, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xdf8c6a0e, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xbf552aa1, "ip_mc_check_igmp" },
	{ 0xc4461162, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xd5d49593, "__kmem_cache_create_args" },
	{ 0x6c224ccd, "switchdev_port_obj_del" },
	{ 0xd7aa5b3d, "netdev_master_upper_dev_link" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "28FD9D1A8EB583FFE5942AA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
