#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xf627b5ff, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x2cd9787f, "_gpl");
SYMBOL_CRC(esp_input_done2, 0x5b17ea99, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d8a6b25, "crypto_aead_setauthsize" },
	{ 0x97f418a8, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x05191ea3, "xfrm_state_lookup" },
	{ 0x8c194372, "ipv4_redirect" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xdbcfcdf1, "__xfrm_state_destroy" },
	{ 0x44348dbe, "ipv4_update_pmtu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0x04ad6841, "__put_devmap_managed_folio_refs" },
	{ 0xf4fbef0c, "__folio_put" },
	{ 0x037a0cba, "kfree" },
	{ 0x6d1853ad, "sk_free" },
	{ 0xfa5c92f2, "skb_copy_bits" },
	{ 0x738c41a6, "km_new_mapping" },
	{ 0xe4f16858, "skb_pull_rcsum" },
	{ 0x2653b636, "skb_checksum" },
	{ 0x33b731a1, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1c57a2c, "xfrm_input_resume" },
	{ 0x2441c048, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x86a82064, "skb_to_sgvec" },
	{ 0x9a6a5e18, "crypto_aead_decrypt" },
	{ 0x579425d0, "skb_push" },
	{ 0x7f4d6fbc, "__pskb_pull_tail" },
	{ 0x45d7d989, "xfrm_dev_resume" },
	{ 0xceca59b8, "xfrm_output_resume" },
	{ 0xeaea8dbd, "__skb_ext_del" },
	{ 0x25ca0eec, "sk_skb_reason_drop" },
	{ 0x39c64fb1, "pcpu_hot" },
	{ 0x5c470727, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x53550e6d, "__inet_lookup_established" },
	{ 0x769f1cd5, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc420210, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf32f3318, "espintcp_queue_out" },
	{ 0x6590c8cd, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x73283e08, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbdd2232a, "crypto_aead_encrypt" },
	{ 0x09d6dd19, "xfrm_state_mtu" },
	{ 0xb840a078, "xfrm4_rcv" },
	{ 0x4857967c, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x67d8c592, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x74fd9209, "xfrm4_protocol_register" },
	{ 0x8a7cc824, "xfrm_unregister_type" },
	{ 0xfcd554bd, "crypto_destroy_tfm" },
	{ 0x4e9a75a0, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf13ce336, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "6C18585A63B920E35A31961");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
