#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0xdab8058a, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x5303ce94, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x1079cf0e, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0x2bf60ede, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xc3200576, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x3ff36cc6, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x925fc7a9, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x8dd266e8, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xb208ad27, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x72460555, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5613019, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf320c6f5, "snd_pcm_hw_rule_noresample" },
	{ 0xae6a5fc5, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xee5a6a2d, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa64c8994, "snd_dma_alloc_dir_pages" },
	{ 0xb5c3858f, "devm_request_threaded_irq" },
	{ 0x590860bc, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7c4fbea8, "snd_rawmidi_transmit" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x9fc2c0ad, "snd_ac97_write_cache" },
	{ 0xd8dd129f, "snd_ctl_add" },
	{ 0xeeaced07, "snd_ac97_resume" },
	{ 0x7de303b3, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x42a1b76a, "snd_seq_device_new" },
	{ 0x013d4728, "snd_card_register" },
	{ 0x8325694c, "request_firmware" },
	{ 0xdc38b05b, "snd_devm_alloc_dir_pages" },
	{ 0xad62bfcb, "__pci_register_driver" },
	{ 0x78c47be1, "snd_pcm_hw_constraint_minmax" },
	{ 0x76d51e68, "snd_pcm_set_sync_per_card" },
	{ 0x5cce57a5, "snd_timer_interrupt" },
	{ 0x58abb255, "param_array_ops" },
	{ 0xc64be7bd, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0cac1da, "snd_card_rw_proc_new" },
	{ 0x341eae3f, "snd_ac97_update_bits" },
	{ 0x4a5013d3, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x88a9b5ca, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1d9b469a, "__dynamic_dev_dbg" },
	{ 0x40666d27, "snd_ctl_remove" },
	{ 0x1cf64ebd, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x966e418b, "snd_ctl_find_id" },
	{ 0x1f9c8313, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63e76686, "pci_read_config_dword" },
	{ 0x4f684bb8, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x027a960c, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80884100, "snd_ctl_remove_id" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf8a29569, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x03312701, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xac6dfde0, "snd_ac97_suspend" },
	{ 0x1f09cdc6, "snd_pcm_lib_malloc_pages" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0x3d04fe2b, "snd_ctl_boolean_mono_info" },
	{ 0x9525cd30, "_dev_err" },
	{ 0x0eda33fa, "snd_util_memhdr_new" },
	{ 0x82781382, "snd_pcm_lib_ioctl" },
	{ 0x88c42cf0, "snd_pcm_lib_free_pages" },
	{ 0xc416957a, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcab68df9, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x7ac1f037, "snd_ctl_notify" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd97ed4af, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x25472425, "snd_pcm_set_managed_buffer" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2e3f7c08, "snd_timer_new" },
	{ 0x7e782020, "snd_ctl_rename" },
	{ 0xca1914a3, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd329a6a5, "snd_ac97_update" },
	{ 0xd5992484, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x09aced99, "_dev_warn" },
	{ 0xba9bd9f3, "pci_set_master" },
	{ 0x2558c104, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xba0871e7, "snd_rawmidi_new" },
	{ 0xf9f8e7f1, "dma_set_coherent_mask" },
	{ 0x25eb2063, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x906fa57f, "_dev_notice" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x1595cc28, "snd_rawmidi_set_ops" },
	{ 0x15e3fb6f, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d7a869c, "param_ops_bool" },
	{ 0xbd56f22e, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9c9ed8c1, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x318652cc, "snd_info_create_card_entry" },
	{ 0x4335cbee, "dma_set_mask" },
	{ 0x8daaed92, "snd_device_free" },
	{ 0xa4e1e547, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0x779c4aee, "param_ops_int" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd,snd-rawmidi,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8CCAC3B67534165C894980A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
