#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xe3ff966c, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xac921c5f, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xb3b6047b, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xd7dccb2b, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xfb8beb79, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x85989cae, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xeeb25532, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x4556dc87, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x591117ca, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x9354433a, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x13f6bbb1, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x1af7bafb, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xa9d9426b, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x5c878c3d, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xfe6e0d3c, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x83604282, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x168edbfb, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xc61898c8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x98fb2293, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xc78f7e1a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xed147492, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x87684637, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x5f165633, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x3d90efb2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xc1778474, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x91ef3413, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x954122ed, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xd13978e7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xdd1cb557, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x98b133c3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x56456ec5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16b39de2, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x09aced99, "_dev_warn" },
	{ 0x76381bcd, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x4a247c16, "kthread_create_worker_on_node" },
	{ 0x4d222fcd, "wake_up_process" },
	{ 0x9525cd30, "_dev_err" },
	{ 0xf8a29569, "_dev_info" },
	{ 0xe0ca3ef8, "sched_set_fifo" },
	{ 0x938d5358, "crypto_register_aead" },
	{ 0xcc74377e, "crypto_unregister_aead" },
	{ 0x530b7ecc, "crypto_register_ahash" },
	{ 0xffbb4d0e, "crypto_unregister_ahash" },
	{ 0x15e76e76, "crypto_register_akcipher" },
	{ 0xe1caebf9, "crypto_unregister_akcipher" },
	{ 0x7a45a40e, "crypto_register_kpp" },
	{ 0x63637a16, "crypto_unregister_kpp" },
	{ 0x842aa709, "crypto_register_skcipher" },
	{ 0xcfa598ff, "crypto_unregister_skcipher" },
	{ 0x913ff4e7, "crypto_enqueue_request" },
	{ 0x805131f9, "crypto_dequeue_request" },
	{ 0xac72fe27, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xec00bfb7, "kthread_destroy_worker" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EBF01B17EF46D510115B98F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
