#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0xc96e45f6, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0xbe3ccfd9, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0xb27ac96f, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x7be6bbac, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xc4790fd5, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x12be90d9, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0xfe301dc8, "_gpl");
SYMBOL_CRC(idxd_drv, 0x1193f248, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x6264c606, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0xdd3a2f38, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x994eb537, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x5ae892c0, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x9de6b503, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed8f436a, "iommu_alloc_global_pasid" },
	{ 0xb76860e0, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x100fdf51, "pci_iounmap" },
	{ 0x1cc2f310, "pci_restore_state" },
	{ 0x42a52d8a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x92a0b2ba, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0x09aced99, "_dev_warn" },
	{ 0xe4bc0588, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xba9bd9f3, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x459a17eb, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf841f70d, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x0c931453, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd5d49593, "__kmem_cache_create_args" },
	{ 0xf2577ae1, "pci_reset_function" },
	{ 0x4e942c3b, "iommu_attach_device_pasid" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf9f8e7f1, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2c61431f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcd2b1c2d, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x649e662f, "dma_async_device_channel_register" },
	{ 0x2d7a869c, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x34f5c7d9, "dma_async_tx_descriptor_init" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x9c9ed8c1, "seq_printf" },
	{ 0xa0a57759, "device_match_name" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x928dfb70, "debugfs_create_file_full" },
	{ 0x4ac19128, "pci_disable_device" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xac61a360, "single_release" },
	{ 0x4335cbee, "dma_set_mask" },
	{ 0xe07a24cc, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xa98be3e3, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd532c4cc, "single_open" },
	{ 0xd44eed2d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0xdbe7f953, "pci_free_irq_vectors" },
	{ 0x048635d6, "idxd_driver_unregister" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x8e658c67, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xaeb9dbed, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3bde0b49, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x46654089, "pci_msix_vec_count" },
	{ 0x8f210d93, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0xa4c807f0, "dev_set_name" },
	{ 0x01d264b4, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6a1cda39, "dma_async_device_unregister" },
	{ 0x6f97edc4, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fe8b382, "device_driver_attach" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x41f97766, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb585ebdf, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x7b05f517, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb7cf788e, "__kmalloc_node_noprof" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xad62bfcb, "__pci_register_driver" },
	{ 0x0e5361c3, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4c58e9ed, "device_initialize" },
	{ 0x6eb97d7b, "dsa_bus_type" },
	{ 0xad06118b, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7f24a363, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x39c64fb1, "pcpu_hot" },
	{ 0x7eced3df, "seq_lseek" },
	{ 0x290622bf, "iommu_sva_bind_device" },
	{ 0x7d1df8b5, "iommu_detach_device_pasid" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x25b2f9a2, "pci_irq_vector" },
	{ 0xca650d35, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x1d9b469a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x1f9c8313, "pci_unregister_driver" },
	{ 0xe1285cbd, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x89f524d0, "cdev_device_add" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1e421c9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xffa9d361, "iommu_dev_enable_feature" },
	{ 0xa52b8317, "const_pcpu_hot" },
	{ 0xf8a29569, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdd2e6c36, "__idxd_driver_register" },
	{ 0x03312701, "iommu_get_domain_for_dev" },
	{ 0xabb03241, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9525cd30, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x532fd01b, "bus_find_device" },
	{ 0x836e1d9a, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xed26d37a, "kmem_cache_free" },
	{ 0x923073af, "dma_alloc_attrs" },
	{ 0x7d4f8620, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7f63bdcb, "dma_async_device_channel_unregister" },
	{ 0x650ceb27, "seq_putc" },
	{ 0xbc14df74, "iommu_sva_unbind_device" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xffb7c514, "ida_free" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000B02Dsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E81C2B1D5ED4CF77F1A00AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
