#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_outbound_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(fw_core_add_descriptor, "", "");
KSYMTAB_FUNC(fw_core_remove_descriptor, "", "");
KSYMTAB_FUNC(fw_schedule_bus_reset, "", "");
KSYMTAB_FUNC(fw_card_initialize, "", "");
KSYMTAB_FUNC(fw_card_add, "", "");
KSYMTAB_FUNC(fw_card_release, "_gpl", "");
KSYMTAB_FUNC(fw_core_remove_card, "", "");
KSYMTAB_FUNC(fw_card_read_cycle_time, "_gpl", "");
KSYMTAB_FUNC(fw_csr_iterator_init, "", "");
KSYMTAB_FUNC(fw_csr_iterator_next, "", "");
KSYMTAB_FUNC(fw_csr_string, "", "");
KSYMTAB_DATA(fw_bus_type, "", "");
KSYMTAB_FUNC(fw_device_enable_phys_dma, "", "");
KSYMTAB_DATA(fw_workqueue, "", "");
KSYMTAB_FUNC(fw_iso_buffer_init, "", "");
KSYMTAB_FUNC(fw_iso_buffer_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_create, "", "");
KSYMTAB_FUNC(fw_iso_context_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_start, "", "");
KSYMTAB_FUNC(fw_iso_context_queue, "", "");
KSYMTAB_FUNC(fw_iso_context_queue_flush, "", "");
KSYMTAB_FUNC(fw_iso_context_flush_completions, "", "");
KSYMTAB_FUNC(fw_iso_context_stop, "", "");
KSYMTAB_FUNC(fw_iso_resource_manage, "", "");
KSYMTAB_FUNC(fw_core_handle_bus_reset, "", "");
KSYMTAB_FUNC(fw_cancel_transaction, "", "");
KSYMTAB_FUNC(__fw_send_request, "_gpl", "");
KSYMTAB_FUNC(fw_run_transaction, "", "");
KSYMTAB_DATA(fw_high_memory_region, "", "");
KSYMTAB_FUNC(fw_core_add_address_handler, "", "");
KSYMTAB_FUNC(fw_core_remove_address_handler, "", "");
KSYMTAB_FUNC(fw_fill_response, "", "");
KSYMTAB_FUNC(fw_send_response, "", "");
KSYMTAB_FUNC(fw_get_request_speed, "", "");
KSYMTAB_FUNC(fw_request_get_timestamp, "_gpl", "");
KSYMTAB_FUNC(fw_core_handle_request, "", "");
KSYMTAB_FUNC(fw_core_handle_response, "", "");
KSYMTAB_FUNC(fw_rcode_string, "", "");

SYMBOL_CRC(__tracepoint_isoc_inbound_single_completions, 0x527de68d, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_single_completions, 0x13578c2a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_single_completions, 0xee25a754, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_single_completions, 0x5509028e, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_inbound_multiple_completions, 0xe6b42f44, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_multiple_completions, 0xe97f7d20, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_multiple_completions, 0xb7959c4c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_multiple_completions, 0x911b18c0, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_outbound_completions, 0xd45beb6e, "_gpl");
SYMBOL_CRC(__traceiter_isoc_outbound_completions, 0xc68d5a57, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_outbound_completions, 0xcde3278c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_outbound_completions, 0x37573b5f, "_gpl");
SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0xe6960e97, "");
SYMBOL_CRC(fw_card_initialize, 0xfe531426, "");
SYMBOL_CRC(fw_card_add, 0x00ec5b17, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0x0630afeb, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0x59b62e5f, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0xdb61ab6e, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0x8182f89e, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0xc285239c, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0xe1bb9029, "");
SYMBOL_CRC(fw_iso_context_create, 0xf74a9258, "");
SYMBOL_CRC(fw_iso_context_destroy, 0x553a4576, "");
SYMBOL_CRC(fw_iso_context_start, 0x9a076959, "");
SYMBOL_CRC(fw_iso_context_queue, 0xd462babe, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0x2850d17b, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0x85883d87, "");
SYMBOL_CRC(fw_iso_context_stop, 0x2e79a654, "");
SYMBOL_CRC(fw_iso_resource_manage, 0x33cbb397, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0x501df0e8, "");
SYMBOL_CRC(fw_cancel_transaction, 0x4460c052, "");
SYMBOL_CRC(__fw_send_request, 0x7e0d5e07, "_gpl");
SYMBOL_CRC(fw_run_transaction, 0xd48b5d5e, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0xb9cd76f9, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0x7b27ea49, "");
SYMBOL_CRC(fw_fill_response, 0xe7a1bae1, "");
SYMBOL_CRC(fw_send_response, 0xdb454e67, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0x98c58a0a, "");
SYMBOL_CRC(fw_core_handle_response, 0xf098c190, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8e5edce6, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb78dbbed, "device_register" },
	{ 0x348f151a, "bpf_trace_run1" },
	{ 0xb9a3648b, "bpf_trace_run9" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x95c3b5a9, "nonseekable_open" },
	{ 0x0745a981, "xa_erase" },
	{ 0x1651823c, "pv_ops" },
	{ 0x9642e885, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9c9dd56f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc5d245b2, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x87e5870a, "kobject_uevent" },
	{ 0x42aa385d, "alloc_pages_noprof" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x09a34a2b, "crc_itu_t" },
	{ 0xc5e96d56, "bpf_trace_run7" },
	{ 0x08e03150, "vm_map_pages_zero" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0x96fed597, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x0a2a9b5e, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa4c807f0, "dev_set_name" },
	{ 0x11f44467, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x095b5f04, "trace_raw_output_prep" },
	{ 0xa2474726, "bpf_trace_run6" },
	{ 0x7b05f517, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x78f729cc, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x40a43b34, "dma_unmap_page_attrs" },
	{ 0x27e756dd, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c58e9ed, "device_initialize" },
	{ 0x4d1b9dd8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x39c64fb1, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x06fca8fb, "device_for_each_child" },
	{ 0x924c93d9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xca650d35, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb4fd3da6, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x961d9edd, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd1e421c9, "put_device" },
	{ 0xa52b8317, "const_pcpu_hot" },
	{ 0x33148a24, "__free_pages" },
	{ 0x1b07d0bc, "compat_ptr_ioctl" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa2d3ebb0, "perf_trace_run_bpf_submit" },
	{ 0xa4e6ac6f, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x836e1d9a, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4e16004f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf8e8f502, "trace_event_reg" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "7AE200516850BF99B79363F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
