#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xf8e0da82, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x78941b0c, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x1e3b0598, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x9ba37cc8, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x25ace1e4, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x77b579a1, "_gpl");
SYMBOL_CRC(is_fw_load, 0x2f9d6f15, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x52e4a14c, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x2f91b44e, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x0a4ef309, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xab45604e, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xe57e1d6e, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xd41042a5, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x4512e7f8, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x7f88318c, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xcc580b58, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xd241d5a4, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xee52e8eb, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x9efd47a6, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xaa42cc07, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x39f799fd, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x05cfa4e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x019eca8e, "usb_clear_halt" },
	{ 0x5aadb9c0, "usb_put_dev" },
	{ 0xbc893ec9, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce6ffd4f, "video_devdata" },
	{ 0x1e40b554, "vb2_fop_release" },
	{ 0x88aa3edc, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e9504f9, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xca63e7cf, "usb_submit_urb" },
	{ 0xf8a29569, "_dev_info" },
	{ 0x608a44c2, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6f640dfa, "media_device_register_entity" },
	{ 0x540d37a2, "media_device_cleanup" },
	{ 0xd2ddce75, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x9525cd30, "_dev_err" },
	{ 0x0ce19605, "i2c_unregister_device" },
	{ 0x9741604e, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85c58662, "usb_control_msg" },
	{ 0xa241a48b, "vb2_buffer_done" },
	{ 0x2853aa0e, "vb2_plane_vaddr" },
	{ 0x35be5a1e, "v4l2_ctrl_subscribe_event" },
	{ 0x40371b61, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf18915ac, "media_entity_pads_init" },
	{ 0x617b49a2, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x0308f5d3, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x24d9965f, "usb_deregister" },
	{ 0x1f9be089, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x3e31b03b, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9855423f, "v4l2_s_ctrl" },
	{ 0x7f8f43ea, "i2c_mux_alloc" },
	{ 0x50bf9d18, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x09aced99, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7417e128, "vb2_fop_read" },
	{ 0xc98f9cdb, "v4l2_device_register" },
	{ 0x131db73f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x39f1a7be, "rc_allocate_device" },
	{ 0x1651823c, "pv_ops" },
	{ 0xa009c604, "usb_unlink_urb" },
	{ 0x3b2bd213, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x32f3e731, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x9dc8ab7a, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf39425cd, "vb2_ioctl_streamon" },
	{ 0x170f816e, "v4l2_mc_create_media_graph" },
	{ 0x9937bc79, "vb2_fop_poll" },
	{ 0x47fc0134, "cx2341x_handler_init" },
	{ 0x9e43254c, "cx2341x_handler_set_50hz" },
	{ 0xd13cd8c1, "__media_device_usb_init" },
	{ 0xc57e53a3, "v4l2_ctrl_handler_free" },
	{ 0x3312affa, "i2c_transfer" },
	{ 0x9b8f8fec, "v4l2_device_unregister" },
	{ 0x4d6d0fb0, "usb_reset_endpoint" },
	{ 0xd09c864d, "i2c_mux_del_adapters" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0x6e16b82a, "v4l2_subdev_call_wrappers" },
	{ 0x345fd56c, "v4l2_ctrl_log_status" },
	{ 0x8a826108, "v4l2_i2c_new_subdev" },
	{ 0x779c4aee, "param_ops_int" },
	{ 0x8fb3bdb0, "video_device_release_empty" },
	{ 0x42bbbb61, "i2c_mux_add_adapter" },
	{ 0x76268a59, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfaf39805, "v4l2_event_unsubscribe" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf3aa1989, "vb2_ioctl_reqbufs" },
	{ 0x0fa4e3ff, "vb2_queue_init" },
	{ 0xd3bceec7, "usb_alloc_urb" },
	{ 0xcfc616b6, "v4l2_ctrl_poll" },
	{ 0x60052ee0, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x417d60fa, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc3788032, "usb_free_urb" },
	{ 0x76381bcd, "devm_kmalloc" },
	{ 0x3009a4ed, "vb2_ioctl_streamoff" },
	{ 0x99366853, "v4l2_ctrl_radio_filter" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4e58493b, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e5e8de6, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8325694c, "request_firmware" },
	{ 0x9f3bd813, "usb_register_driver" },
	{ 0x2e3ead74, "v4l2_ctrl_handler_init_class" },
	{ 0x58abb255, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x95d721b7, "__media_device_register" },
	{ 0x5ad14ea7, "vb2_ioctl_querybuf" },
	{ 0x1cd76c50, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xff100141, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1d9b469a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "781023BA97FDA02ACD52B72");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
