#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0xc0b4cbde, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0xb4eb3246, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x8af53752, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x4d8a8929, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x3a35865d, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x790122ae, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x36c0f264, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xf07b9d40, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x4671c0e6, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x40f15aea, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x378a38ca, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x1442fd60, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xdbde49fc, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xb7e28b27, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d222fcd, "wake_up_process" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3b8491a, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x89f524d0, "cdev_device_add" },
	{ 0x01000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1e421c9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa52b8317, "const_pcpu_hot" },
	{ 0x16360365, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe7342e6e, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1b07d0bc, "compat_ptr_ioctl" },
	{ 0x719fdb93, "cdev_add" },
	{ 0xc8d48fe4, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x13a36770, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4bd988bf, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xed26d37a, "kmem_cache_free" },
	{ 0x7d4f8620, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ed451b4, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9f0af8d5, "put_mtd_device" },
	{ 0x0000973d, "register_mtd_user" },
	{ 0x06ea64d6, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x79640dd7, "mtd_read" },
	{ 0x788bae89, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x228762f1, "freezing_slow_path" },
	{ 0xb78dbbed, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x84dad24c, "kern_path" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0x3b0d56e0, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf841f70d, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0xd5d49593, "__kmem_cache_create_args" },
	{ 0x09871a69, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb8928077, "kthread_create_on_node" },
	{ 0x2c61431f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x57abf886, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2462416e, "fwnode_property_read_string" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xea335d6e, "crc32_le_arch" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6a4cec63, "device_get_named_child_node" },
	{ 0x423e439b, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9c9ed8c1, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8d6aff89, "__put_user_nocheck_4" },
	{ 0x928dfb70, "debugfs_create_file_full" },
	{ 0xc677a5a1, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x10be8dd7, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0xd44eed2d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x66bb746c, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x33ddace3, "class_register" },
	{ 0x8e658c67, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0x7ba3b504, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xaeb9dbed, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0xac0c91dc, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xa6c047a0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83e2a3dc, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa4c807f0, "dev_set_name" },
	{ 0xab5615be, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb585ebdf, "cdev_device_del" },
	{ 0x7b05f517, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4c58e9ed, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x7eced3df, "seq_lseek" },
	{ 0x49b834eb, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xca650d35, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb07dda1d, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf145da00, "path_put" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee98a943, "get_mtd_device" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "CD648643DF84599AC5E1924");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
