#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x73dcf7e4, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xde0e6b16, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xad4ba6f9, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x01866bee, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x46ea815b, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x8cb8fce8, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x27f212bd, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x7df44614, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xcb2bb616, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x6082c1a7, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xb7924a2e, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xcbf5e117, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xb9bd6ddd, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x3e367bfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd1e421c9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf8a29569, "_dev_info" },
	{ 0xe7342e6e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5b724119, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9525cd30, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x202aa73e, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x650ceb27, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x06ea64d6, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xda112529, "__nvme_submit_sync_cmd" },
	{ 0x94cb0dbb, "nvme_try_sched_reset" },
	{ 0x09aced99, "_dev_warn" },
	{ 0x3b0d56e0, "misc_register" },
	{ 0x70000e59, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x2c61431f, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x423e439b, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x42df6e97, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x9c9ed8c1, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xac61a360, "single_release" },
	{ 0x0146cc16, "nvme_wait_reset" },
	{ 0x3fa0eb5e, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xd532c4cc, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0x33ddace3, "class_register" },
	{ 0x8e3f135b, "nvme_tls_key_lookup" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x79421790, "nvme_auth_negotiate" },
	{ 0xac0c91dc, "try_module_get" },
	{ 0xa6c047a0, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "3199166F387A725E538922C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
