#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x204373ea, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xcac5b0b1, "");
SYMBOL_CRC(rio_alloc_net, 0x3c053498, "_gpl");
SYMBOL_CRC(rio_add_net, 0x45dc6307, "_gpl");
SYMBOL_CRC(rio_free_net, 0x1358177b, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xf26bc4b7, "_gpl");
SYMBOL_CRC(rio_add_device, 0xf127a2e1, "_gpl");
SYMBOL_CRC(rio_del_device, 0x7a9377e6, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xd6a8143b, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xad9a3cf7, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x2914b6e3, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x26f6493b, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xf3ff9b49, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x932d0b8d, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x825e5905, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x83fc5daf, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x0423ad5d, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x38fe1904, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x02e8524d, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x5cac4347, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x27e9a441, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x6d0ac1be, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xfbb0431a, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xd7c5c936, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x36ce8124, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x19407f88, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0xa7e986ea, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x7522c351, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x12a9674d, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x14694ea0, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x715243c0, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xde4f0f70, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x2fab3e7b, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x3b8d1a4c, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xb50fade4, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x33a15d0b, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xc56b6887, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xbe8bbafe, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x5a9253a3, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x1f42fdba, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xc78a31e5, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xc3b7443f, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xf1704559, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x250cd98b, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x2469da84, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x05e70984, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xf7f751e7, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xa41ae65f, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xd3a079f6, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xd61acc9b, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0xfa35f206, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xabbf23e3, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x051a2517, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x1c2ac0c2, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x7862e8dc, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xafc73e91, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x423d1551, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x2ab73f7a, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x8b855768, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x91fdbb41, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x043bb9a3, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xf457ac5f, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xcda088e9, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x16a20303, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x6ad5c358, "_gpl");
SYMBOL_CRC(rio_bus_type, 0xfb7d4e7b, "_gpl");
SYMBOL_CRC(rio_dev_get, 0xa1bcc75d, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x5792ed55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca650d35, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1d9b469a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x39195885, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1e421c9, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe7342e6e, "module_put" },
	{ 0x9525cd30, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf933d482, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x06ea64d6, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb78dbbed, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x779c4aee, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3a4f0a87, "driver_register" },
	{ 0x33ddace3, "class_register" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0x96fed597, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xac0c91dc, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa4c807f0, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7b05f517, "device_unregister" },
	{ 0x58abb255, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x803bcffd, "dma_release_channel" },
	{ 0x06fca8fb, "device_for_each_child" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
