#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x9a1d4407, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc652c89, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x363ae783, "nfs_async_iocounter_wait" },
	{ 0x0a921d89, "nfs_setattr_update_inode" },
	{ 0x98852919, "nfs_sops" },
	{ 0x36d4e320, "init_user_ns" },
	{ 0x7e53de23, "rpc_restart_call" },
	{ 0xd1d766cb, "nfs_link" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0xa101ee95, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0x02c62298, "put_nfs_open_context" },
	{ 0xb076f3ec, "nfs_permission" },
	{ 0x42aa385d, "alloc_pages_noprof" },
	{ 0xa062b921, "nfs_add_or_obtain" },
	{ 0x8207a69b, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x8396ab7d, "nfs_free_client" },
	{ 0xf6de2349, "nfs_close_context" },
	{ 0xc21a7df3, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0xca69e1cb, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0x71fa2d0e, "nfs_symlink" },
	{ 0x58b3ccbc, "nfs_unlink" },
	{ 0x8b00bbb5, "forget_cached_acl" },
	{ 0x0b9a60bd, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x0e102b44, "nlmclnt_proc" },
	{ 0x7ba65eb2, "nfs_writeback_update_inode" },
	{ 0x7f54d842, "nfs_alloc_client" },
	{ 0x984a9320, "nfs_dentry_operations" },
	{ 0x794bdf01, "xdr_write_pages" },
	{ 0x23b4f8a5, "nfs_access_zap_cache" },
	{ 0x16af90b3, "nfs_wb_all" },
	{ 0xe64b60db, "xdr_inline_decode" },
	{ 0x11e6b380, "forget_all_cached_acls" },
	{ 0xb711affe, "nfs_submount" },
	{ 0x7f6ea8cb, "__tracepoint_nfs_xdr_status" },
	{ 0x4e8ccbd1, "nfs_mknod" },
	{ 0xc39970ec, "nfs_create_server" },
	{ 0x69acdf38, "memcpy" },
	{ 0x43f047d1, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0x6e9ebf0b, "nfs_post_op_update_inode" },
	{ 0x39c64fb1, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x87b83064, "xdr_read_pages" },
	{ 0xda417848, "nfsacl_decode" },
	{ 0xe0dae0b0, "posix_acl_from_mode" },
	{ 0x2b765a08, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca6c796b, "nfs_mkdir" },
	{ 0xd443db61, "nfs_revalidate_inode" },
	{ 0x7768a068, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4e236bcc, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf6a32719, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0xa52b8317, "const_pcpu_hot" },
	{ 0xd99cc8ad, "nfs_get_client" },
	{ 0x33148a24, "__free_pages" },
	{ 0x7a9af0bc, "nfs_file_operations" },
	{ 0xdeac98b4, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x8cf74a81, "nfs_put_lock_context" },
	{ 0x31a38232, "nfs_rename" },
	{ 0x6c128143, "nfs_lookup" },
	{ 0xd22abebc, "nfs_sysfs_link_rpc_client" },
	{ 0x09a08c93, "nfsacl_encode" },
	{ 0x886c3420, "posix_acl_create" },
	{ 0x4912fdf4, "get_nfs_open_context" },
	{ 0xccefa13b, "__SCK__tp_func_nfs_xdr_status" },
	{ 0xf28c855d, "nfs_invalidate_atime" },
	{ 0xa622b393, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf611f7c3, "nfs_getattr" },
	{ 0xd001291a, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x59aa6d2f, "nfs_zap_acl_cache" },
	{ 0x3879cd3a, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x45cf4e5c, "rpc_bind_new_program" },
	{ 0xce00efc2, "register_nfs_version" },
	{ 0x6fbdcecb, "nfs_atomic_open_v23" },
	{ 0x1e030b94, "rpc_call_start" },
	{ 0x47078f68, "rpc_call_sync" },
	{ 0xab861320, "rpc_prepare_reply_pages" },
	{ 0xf381e6e8, "nfs_fs_type" },
	{ 0xe1840a00, "nfs_setattr" },
	{ 0x7fe5db82, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0x170b651b, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xccf02d4f, "make_kgid" },
	{ 0xe8248984, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x09c2a48e, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e3f7db1, "nfs_rmdir" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "080A8465895858F70F24522");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
