#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x749f9d7a, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x5bb3acfb, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0x9732c293, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x53cc0af7, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x3b84960d, "_gpl");
SYMBOL_CRC(line6_read_data, 0x06207709, "_gpl");
SYMBOL_CRC(line6_write_data, 0xad049a6a, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x6a372059, "_gpl");
SYMBOL_CRC(line6_probe, 0x5e501d41, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x2fab7873, "_gpl");
SYMBOL_CRC(line6_suspend, 0xaac05e2c, "_gpl");
SYMBOL_CRC(line6_resume, 0x14b203ea, "_gpl");
SYMBOL_CRC(line6_init_midi, 0xa82bf3e0, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x8f3c458a, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x4d95e34c, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x43b5cd59, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7834bf2, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9525cd30, "_dev_err" },
	{ 0xc416957a, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa68db1f8, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb63293b3, "snd_card_free_when_closed" },
	{ 0x40371b61, "usb_set_interface" },
	{ 0xd97ed4af, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd5992484, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0xba0871e7, "snd_rawmidi_new" },
	{ 0xee288dd5, "snd_card_disconnect" },
	{ 0xa009c604, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1595cc28, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0xc59be6e5, "__kmalloc_cache_noprof" },
	{ 0x9dc8ab7a, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa4e1e547, "snd_pcm_period_elapsed" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe1649b87, "kmalloc_caches" },
	{ 0xd3bceec7, "usb_alloc_urb" },
	{ 0xee5a6a2d, "snd_rawmidi_receive" },
	{ 0xc3788032, "usb_free_urb" },
	{ 0x10e1a9a1, "usb_control_msg_send" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xd8dd129f, "snd_ctl_add" },
	{ 0x7de303b3, "snd_pcm_new" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x6a1c40ef, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1d9b469a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x774bc57d, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x027a960c, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x5aadb9c0, "usb_put_dev" },
	{ 0xbc893ec9, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29898d72, "snd_rawmidi_transmit_ack" },
	{ 0x4e9504f9, "usb_get_dev" },
	{ 0xa52b8317, "const_pcpu_hot" },
	{ 0xca63e7cf, "usb_submit_urb" },
	{ 0xf8a29569, "_dev_info" },
	{ 0xd29652f0, "snd_pcm_hw_constraint_ratdens" },
	{ 0x8f7bc225, "snd_card_new" },
	{ 0x0d5deab1, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-hwdep,snd-rawmidi,snd,snd-pcm");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
